#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hslua
version:              2.3.0
visibility:           public
id:                   hslua-2.3.0-JBpcOIOBgZCHUVlyA5LNL7
key:                  hslua-2.3.0-JBpcOIOBgZCHUVlyA5LNL7
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2023 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Bindings to Lua, an embeddable scripting language
description:
    HsLua provides wrappers and helpers
    to bridge Haskell and <https://www.lua.org/ Lua>.

    It builds upon the /lua/ package, which allows to bundle
    a Lua interpreter with a Haskell program.

    Example programs are can be found in the @hslua-examples@
    subdir of the project
    <https://github.com/hslua/hslua repository>.

category:             Foreign
abi:                  6fe8daf144bfba17a3909c92223c18e8
exposed:              True
exposed-modules:
    HsLua,
    HsLua.Aeson from hslua-aeson-2.3.0.1-EQnkcxcrl7JFy5rvyH7Mn1:HsLua.Aeson,
    HsLua.Class.Exposable from hslua-classes-2.3.0-DPfRN73xAVH3HD02gSCq7s:HsLua.Class.Exposable,
    HsLua.Class.Invokable from hslua-classes-2.3.0-DPfRN73xAVH3HD02gSCq7s:HsLua.Class.Invokable,
    HsLua.Class.Peekable from hslua-classes-2.3.0-DPfRN73xAVH3HD02gSCq7s:HsLua.Class.Peekable,
    HsLua.Class.Pushable from hslua-classes-2.3.0-DPfRN73xAVH3HD02gSCq7s:HsLua.Class.Pushable,
    HsLua.Class.Util from hslua-classes-2.3.0-DPfRN73xAVH3HD02gSCq7s:HsLua.Class.Util,
    HsLua.Core from hslua-core-2.3.1-2YJq45qePitGmcAfB0GAOG:HsLua.Core,
    HsLua.Core.Error from hslua-core-2.3.1-2YJq45qePitGmcAfB0GAOG:HsLua.Core.Error,
    HsLua.Core.Types from hslua-core-2.3.1-2YJq45qePitGmcAfB0GAOG:HsLua.Core.Types,
    HsLua.Core.Utf8 from hslua-core-2.3.1-2YJq45qePitGmcAfB0GAOG:HsLua.Core.Utf8,
    HsLua.Marshalling from hslua-marshalling-2.3.0-GbND1fMqzyBH3MEYq91tI4:HsLua.Marshalling,
    HsLua.ObjectOrientation from hslua-objectorientation-2.3.0-3xUUbrEqAHoKvZgOzLbXri:HsLua.ObjectOrientation,
    HsLua.Packaging from hslua-packaging-2.3.0-3F0X4sgh7twE5Y4su0YloT:HsLua.Packaging,
    HsLua.Packaging.Function from hslua-packaging-2.3.0-3F0X4sgh7twE5Y4su0YloT:HsLua.Packaging.Function,
    HsLua.Packaging.Module from hslua-packaging-2.3.0-3F0X4sgh7twE5Y4su0YloT:HsLua.Packaging.Module,
    HsLua.Packaging.Rendering from hslua-packaging-2.3.0-3F0X4sgh7twE5Y4su0YloT:HsLua.Packaging.Rendering,
    HsLua.Typing from hslua-typing-0.1.0-Df98MtaXrL1COCUmMn8CCM:HsLua.Typing,
    HsLua.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hslua-2.3.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hslua-2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua
hs-libraries:         HShslua-2.3.0-JBpcOIOBgZCHUVlyA5LNL7
depends:
    base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    exceptions-0.10.4 hslua-aeson-2.3.0.1-EQnkcxcrl7JFy5rvyH7Mn1
    hslua-classes-2.3.0-DPfRN73xAVH3HD02gSCq7s
    hslua-core-2.3.1-2YJq45qePitGmcAfB0GAOG
    hslua-marshalling-2.3.0-GbND1fMqzyBH3MEYq91tI4
    hslua-objectorientation-2.3.0-3xUUbrEqAHoKvZgOzLbXri
    hslua-packaging-2.3.0-3F0X4sgh7twE5Y4su0YloT
    hslua-typing-0.1.0-Df98MtaXrL1COCUmMn8CCM mtl-2.2.2 text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-hslua/html/hslua.haddock
haddock-html:         /usr/share/doc/haskell-hslua/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

